%define name bootsplashchooser
%define version 0.1
%define release 1mdk

%define section Configuration/Boot and Init
%define title Bootsplashchooser

%define summary Gui tool for installing a bootsplash theme

Name: %{name}
Summary : %{summary}
Version: %{version}
Release: %{release}

Source0: %{name}-%{version}.tar.bz2
Source1: %{name}16.png.bz2
Source2: %{name}32.png.bz2
Source3: %{name}48.png.bz2

Group: System/Configuration/Boot and Init
URL: http://knackko.dyndns.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: bootsplash pygtk2.0-libglade usermode-consoleonly
Packager: chertault@yahoo.fr
Buildarch: noarch

%description
gui tool for installing a bootsplash theme

%prep
rm -rf $RPM_BUILD_ROOT
%setup -a0

%install
%makeinstall
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}16.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}32.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}48.png

#menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%{name}32.png" \
section="%section" \
title="%title" \
longtitle="%summary"
EOF


#ask password from menu
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/{pam.d,security/console.apps}
cat <<EOF >${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/%{name}

 #%PAM-1.0                                                                                
auth       sufficient   %{_lib}/lib/security/pam_rootok.so
auth       required     %{_lib}/security/pam_stack.so service=system-auth
session    optional     %{_lib}/security/pam_xauth.so
account    required     %{_lib}/security/pam_permit.so
EOF

cat <<EOF >${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/%{name}
USER=root
PROGRAM=/usr/sbin/bootsplashchooser
SESSION=true
FALLBACK=true
EOF

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,0755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%attr(755,root,root) %{_sbindir}/%{name}

%{_menudir}/*
%{_iconsdir}/*

%config(noreplace) %{_sysconfdir}/security/console.apps/*
%config(noreplace) %{_sysconfdir}/pam.d/*

%changelog
* Thu Apr 14 2004 Cedric Hertault <chertault@yahoo.fr> 0.1-1mdk
- First version
